| X11-1.5.0.0: A binding to the X11 graphics library | Contents | Index

Graphics.X11.Xinerama

Portability | portable
Stability | provisional
Maintainer | Don Stewart <dons@galois.com>

Description
Synopsis

data XineramaScreenInfo = XineramaScreenInfo {

xsi_screen_number :: !CInt
xsi_x_org :: !CShort
xsi_y_org :: !CShort
xsi_width :: !CShort
xsi_height :: !CShort

}

xineramaIsActive :: Display -> IO Bool
xineramaQueryExtension :: Display -> IO (Maybe (CInt, CInt))
xineramaQueryVersion :: Display -> IO (Maybe (CInt, CInt))
xineramaQueryScreens :: Display -> IO (Maybe [XineramaScreenInfo])
compiledWithXinerama :: Bool
getScreenInfo :: Display -> IO [Rectangle]

Documentation
data XineramaScreenInfo

Representation of the XineramaScreenInfo struct
Constructors

XineramaScreenInfo |

xsi_screen_number :: !CInt |
xsi_x_org :: !CShort |
xsi_y_org :: !CShort |
xsi_width :: !CShort |
xsi_height :: !CShort |

Instances

Show XineramaScreenInfo |
Storable XineramaScreenInfo |

xineramaIsActive :: Display -> IO Bool
xineramaQueryExtension :: Display -> IO (Maybe (CInt, CInt))
xineramaQueryVersion :: Display -> IO (Maybe (CInt, CInt))
xineramaQueryScreens :: Display -> IO (Maybe [XineramaScreenInfo])
compiledWithXinerama :: Bool
getScreenInfo :: Display -> IO [Rectangle]
Wrapper around xineramaQueryScreens that fakes a single screen when Xinerama is not active. This is the preferred interface to Graphics.X11.Xinerama.
Produced by Haddock version 2.7.2